## ros-kinetic-qt-create 0.2.10

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.0)
project(qt_create)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

# Set this up as a python build deb based on pypi later. We just install
# to catkin's global bin dir for now.

=== Makefile ===

all:
	@echo "  build    : build the python package."
	@echo "  install  : install the python package into /usr/local."
	@echo "  distro   : build the distribution tarball."
	@echo "  register : register the package with PyPI."
	@echo "  upload   : upload the package to PyPI."
	@echo "  clean    : clean build/dist directories."

build:
	python setup.py build

install:
	sudo python setup.py install

distro:
	python setup.py sdist

register:
	python setup.py register

upload:
	python setup.py sdist upload

clean:
	rm -rf build dist MANIFEST

=== src/qt_create/templates/qt-ros/CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.0)
project(%(package)s)

##############################################################################
# Catkin
##############################################################################

# qt_build provides the qt cmake glue, roscpp the comms for a default talker
find_package(catkin REQUIRED COMPONENTS qt_build roscpp)
include_directories(${catkin_INCLUDE_DIRS})
# Use this to define what the package will export (e.g. libs, headers).
# Since the default here is to produce only a binary, we don't worry about
# exporting anything. 
catkin_package()

##############################################################################
# Qt Environment
##############################################################################

# this comes from qt_build's qt-ros.cmake which is automatically 
# included via the dependency call in package.xml
rosbuild_prepare_qt4(QtCore QtGui) # Add the appropriate components to the component list here

##############################################################################
# Sections
##############################################################################

file(GLOB QT_FORMS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ui/*.ui)
file(GLOB QT_RESOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} resources/*.qrc)
file(GLOB_RECURSE QT_MOC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS include/%(package)s/*.hpp)

QT4_ADD_RESOURCES(QT_RESOURCES_CPP ${QT_RESOURCES})
QT4_WRAP_UI(QT_FORMS_HPP ${QT_FORMS})
QT4_WRAP_CPP(QT_MOC_HPP ${QT_MOC})

##############################################################################
# Sources
##############################################################################

file(GLOB_RECURSE QT_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS src/*.cpp)

##############################################################################
# Binaries
##############################################################################

add_executable(%(package)s ${QT_SOURCES} ${QT_RESOURCES_CPP} ${QT_FORMS_HPP} ${QT_MOC_HPP})
target_link_libraries(%(package)s ${QT_LIBRARIES} ${catkin_LIBRARIES})
install(TARGETS %(package)s RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-qt-create (0.2.10-0xenial) xenial; urgency=high

  * Workaround applied for Qt4 and BOOST_JOIN problems

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 10 Feb 2018 05:00:00 -0000

ros-kinetic-qt-create (0.2.9-0xenial) xenial; urgency=high

  * add dependency on qt_build so an app can be created and compiled immediately

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 19 Feb 2016 05:00:00 -0000

ros-kinetic-qt-create (0.2.8-0xenial) xenial; urgency=high

  * bugfix catkin package depend tags

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Jul 2015 04:00:00 -0000

ros-kinetic-qt-create (0.2.7-0xenial) xenial; urgency=high

  * update for indigo

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 27 Jul 2014 04:00:00 -0000

ros-kinetic-qt-create (0.2.6-0xenial) xenial; urgency=high

  * bugfix catkin crawling of the templates directory.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 29 Jun 2014 04:00:00 -0000

ros-kinetic-qt-create (0.2.2-0xenial) xenial; urgency=high

  * Catkinize for hydro.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 24 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-qt-create
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-qt-build
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-qt-create
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Provides templates and scripts for creating qt-ros packages (similar to roscreate-pkg).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-qt-create//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
